%define major                 0
%define libname               %mklibname netfilter_cthelper %{major}
%define libnamedevel          %mklibname netfilter_cthelper -d

Name:           libnetfilter_cthelper
Version:        1.0.1
Release:        %mkrel 1
Summary:        Userspace library that provides the programming interface to the user-space helper infrastructure
Group:          System/Libraries
License:        GPL
URL:            https://www.netfilter.org/projects/libnetfilter_cthelper/
Source0:        https://www.netfilter.org/projects/libnetfilter_cthelper/files/libnetfilter_cthelper-%{version}.tar.bz2
Source1:        https://www.netfilter.org/projects/libnetfilter_cthelper/files/libnetfilter_cthelper-%{version}.tar.bz2.sig
BuildRequires: pkgconfig(libmnl) >= 1.0.3

%description
libnetfilter_cthelper is the userspace library that provides the programming
interface to the user-space helper infrastructure available since Linux
kernel 3.6. With this library, you register, configure, enable and disable
user-space helpers.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       netfilter_cthelper = %{version}-%{release}

%description -n %{libname}
libnetfilter_cthelper is the userspace library that provides the programming
interface to the user-space helper infrastructure available since Linux
kernel 3.6. With this library, you register, configure, enable and disable
user-space helpers.

%package -n %{libnamedevel}
Summary:        Development files for %{name}
Group:          System/Libraries
Provides:       netfilter_cthelper-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%{configure} --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%check
%{make} check

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedevel}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri May 13 2022 luigiwalser <luigiwalser> 1.0.1-1.mga9
+ Revision: 1857985
- 1.0.1

* Wed Mar 16 2022 umeabot <umeabot> 1.0.0-9.mga9
+ Revision: 1794824
- Mageia 9 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 13 2020 umeabot <umeabot> 1.0.0-8.mga8
+ Revision: 1514297
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-7.mga7
+ Revision: 1299039
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-6.mga6
+ Revision: 946556
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 740122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 681639
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 507199
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 357837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 303786
- update libmajor
- imported package libnetfilter_cthelper

